Subject: Re: [PATCH 4/4] kvmppc: convert wrteei to wrtee as kvm guest optimization

From: Christian Ehrhardt <[email-masked]>
Date: Thu, 21 Aug 2008 15:31:46 +0200

Josh Boyer wrote:
> On Wed, 20 Aug 2008 14:06:51 -0500
> Hollis Blanchard <[email-masked]> wrote:  
>   
>>>>> To be honest I unfortunately don't know how big the impact for 
>>>>> non-virtualized systems is. I would like to test it, but without 
>>>>> hardware performance counters on the core I have I'm not sure (yet)
>>>>> how 
>>>>> to measure that in a good way - any suggestion welcome.
>>>>>           
>>>> I don't see why we need performance counters. Can't we just compare any
>>>> bare metal benchmark results with the patch both applied and not?
>>>>         
>>> Do you know of one that causes a large amount of
>>> local_irq_{disable,enable}s to be called?
>>>       
>> I think *every* workload causes a large number of
>> local_irq_{disable,enable} calls... :)
>>     
>
> Well, sure.  I was just going for "test the change as specifically as
> possible."  One could write a module that did X number of
> disable/enable pairs and reported the timebase at start and end to
> compare.  X could even be a module parameter.  Just to try and
> eliminate noise or whatever from the testing.
>
> /me shrugs.
>
> josh
>   
yeah I thought of something like that too, because I expect the 
difference to be very small.
Instead of a module I wanted to put this somewhere prior to the kernel 
mounting root-fs to avoid interferences from whatever userspace is doing 
(e.g. causing  thousands of interrupts come back while the module 
perform that test.).
Eventually we need a synthetic benchmark like that AND a check how it 
affects a common system to be sure.

-- 

Grüsse / regards, 
Christian Ehrhardt
IBM Linux Technology Center, Open Virtualization